var express = require('express')
var router = express.Router()

let User = require('@models/User');
const cs = require('@helpers/CryptoString')

// middleware that is specific to this router
router.use(function timeLog (req, res, next) {
	// console.log('Time: ', Date.now())
	next()
})
// define the home page route
router.get('/', function (req, res) {
	res.send('User Home Page ' + User.getUsername())
})
// define the about route
router.get('/about', function (req, res) {
	User.getUsername(req.headers.userId)
	.then( data => res.send(data) )
})
// Login User
router.post('/login', function (req, res) {

	User.login(req.body.username, req.body.password)
	.then( returnData => {

		res.send(returnData)
	})
	.catch(e => {
		res.send(false)
	})
})
// Login User
router.post('/register', function (req, res) {

	User.register(req.body.username, req.body.password)
	.then( returnData => {

		res.send(returnData)
	})
	.catch(e => {
		res.send(false)
	})
})


// fetch counts of users notes
router.post('/totals', function (req, res) {
	User.getCounts(req.headers.userId)
	.then( countsObject => res.send( countsObject ))
})


module.exports = router